#include <QTimer>
#include <QDateTime>

#include "AROrologio.h"

AROrologio::AROrologio(QWidget *parent) : QLabel(parent)
 {
 	timer = new QTimer(this);
 	 	
  connect(timer,SIGNAL(timeout()),this,SLOT(mostraOra()));

  timer->start(1000);
  setTextFormat(Qt::RichText);
  setAlignment( Qt::AlignHCenter);
  //setFont(QFont("Helvetica",6,QFont::Bold));
  mostraOra();
 }

void AROrologio::mostraOra()
 {
 	QDateTime dt  = QDateTime::currentDateTime();
  QString   aux = dt.toString("dd MMMM yyyy<br>(dddd) hh:mm.ss");

  if((dt.time().second()%2)==0) aux[aux.length()-3]=' ';
  setText(aux);
 }
