#ifndef ARDIALOGANTEPRIMA_H
#define ARDIALOGANTEPRIMA_H

#include <QDialog>

class QLabel;
class QPushButton;
class QSlider;
class QScrollArea;
class QString;
class QImage;
class QMessageBox;
class QSpinBox;

class ARsql;

class ARDialogAnteprima : public QDialog
 {
  Q_OBJECT

  public:
   QPushButton *stampa,*annulla,*setstampa,*prefstampa;
   QPushButton *zoomp,*zoomm,*zoomc,*prec,*succ,*prima;
   QSpinBox *ini_r,*ini_c;
   QImage *pic;
   
   ARDialogAnteprima(QWidget *parent = 0);
   void setAnteprima(int,int);
   void ridisegna();

  public slots:
   void zoomBarra(int);
   void zoom100();
   void zoomPiu();
   void zoomMeno();
   int getPagina();
   void setPagina(int);
   void addPagina(int);

  private:
   int act_pag;
   float zo;
   ARsql *sql;
   QMessageBox *warnbox;
   QSlider *zoom;
   QScrollArea *area;  
   QLabel *_pic,*_zoom,*_pag,*_act_pag,*_ini,*_ini_r,*_ini_c;

   QString quote(QString,bool like = false);
 };

#endif
