#ifndef ARGRIGLIATIPOART_H
#define ARGRIGLIATIPOART_H

#include <QWidget>

class QTableWidget;
class QGroupBox;
class QTableWidgetItem;
class QPushButton;
class QLineEdit;
class QLabel;
class QMessageBox;

class ARFinestra;
class ARsql;

class ARGrigliaTipoArt : public QWidget
 {
  Q_OBJECT

  public:
   QTableWidget *table;
   QPushButton *edit,*del,*search,*reset;
   QLineEdit *descr,*iva;
   
   ARGrigliaTipoArt(QWidget *parent = 0);
   void settaGeometria(int,int);
   void setEtichette(QStringList,QStringList,int,int);
   QTableWidgetItem *inserisciRiga(QString);
   QTableWidgetItem *inserisciRiga(const char *);

  public slots:
   void visTipoArt();
   void delTipoArt();
   void resRicerca();

  private:
   ARFinestra *mainWin;
   ARsql *sql;
   QMessageBox *infobox,*warnbox,*yesnobox;
   QGroupBox *cornice;
   QLabel *_descr,*_iva;
   QStringList etichette,etich_campi;
   int num_mis,row_iva,rows_campi,num_col,num_campi;

   QString quote(QString, bool like = false);
 };

#endif
